Subject: [RFC] airo.c: Description and function is not the same

From: Richard Knutsson <[email-masked]>
Date: Sun, 21 Jan 2007 13:01:26 +0100

Hello

In the tour of converting local definitions of boolean-type/values, I 
ran into airo.c's description of ex decapsulate():

 *      Returns: BOOLEAN - TRUE if packet should be dropped otherwise FALSE

but returns SUCCESS (defined as 0) and ERROR (defined as -1).

Also, shouldn't those functions be converted to return 'bool' when the 
description say so (happy to do it).

Richard Knutsson